Is still unplayable with 1.03?